Přejít na hlavní obsah
GET
/
v1
/
glossary
const result = await client.glossary.list({ page: 1, limit: 25 });

for (const term of result.data) {
  console.log(`${term.term} (${term.type})`);
}
{
  "data": [
    {
      "id": "term_abc123",
      "term": "Lasso AI",
      "type": "do_not_translate",
      "case_sensitive": true,
      "category": "brand",
      "translations": {},
      "created_at": "2025-03-01T10:00:00.000Z"
    }
  ],
  "pagination": { "page": 1, "limit": 25, "total": 12 }
}

Query parametry

page
integer
výchozí:"1"
Číslo stránky pro stránkování.
limit
integer
výchozí:"25"
Počet položek na stránku (max 100).

Odpověď

data
array
pagination
object
const result = await client.glossary.list({ page: 1, limit: 25 });

for (const term of result.data) {
  console.log(`${term.term} (${term.type})`);
}
{
  "data": [
    {
      "id": "term_abc123",
      "term": "Lasso AI",
      "type": "do_not_translate",
      "case_sensitive": true,
      "category": "brand",
      "translations": {},
      "created_at": "2025-03-01T10:00:00.000Z"
    }
  ],
  "pagination": { "page": 1, "limit": 25, "total": 12 }
}